#
# NB: "/" is no longer mentioned in fstab!
# should work for everything else.
#
# $1 - an HDD partition eg sda1
#
isMounted()
{
    echo $1
    exit
    if [ "`cat /etc/mtab | grep -o $1`" ]
    then
        echo true
    else
        echo false
    fi
    return 0
}
#
# $1 & $2 are the normal args passed to "mount"
#
mountfun()
{
    echo "mount $1 $2"
    mount $1 $2
}
#
# $1 is the normal arg passed to "umount"
#
umountfun()
{
    echo "umount $1"
    umount $1
}
#
# $1 - the mounted filesystem (/, /boot, /home, etc)
# $2 - the path to an mtab or fstab file
#      remember fstab may have been edited since boot..
#
getPartitionAttachedTo()
{
    local partition

    if [ ! -f "$2" ]
    then
        #echo "file [$2] not exists"
        echo '0'
        return 1
    fi

    partition=`cat "$2" | grep  [[:space:]]$1[[:space:]]  | grep -o ^/[^/]*/[^/]*`
    if [ $partition = '/dev/root' ]
    then
        partition=/dev/`readlink /dev/root`
    fi
    echo $partition
    return 0
    
    #
    # rdev gives correct root partition even in a chroot!
    #
}
getActiveRootPartition() 
{
    echo `getPartitionAttachedTo / /etc/mtab`
    return 0
}
#
# $1 - a hdd partition eg /dev/sdc8
#
getGrubNumber()
{
    echo $((`echo $1 | grep -o [0-9]*$` - 1))
    return 0
}

